package mhp.oee.po.gen;

import java.util.Date;

public class ScheduledDownPlanPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column scheduled_down_plan.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column scheduled_down_plan.SITE
     *
     * @mbggenerated
     */
    private String site;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column scheduled_down_plan.RESOURCE_BO
     *
     * @mbggenerated
     */
    private String resourceBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column scheduled_down_plan.STRT
     *
     * @mbggenerated
     */
    private String strt;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column scheduled_down_plan.START_DATE_TIME
     *
     * @mbggenerated
     */
    private Date startDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column scheduled_down_plan.END_DATE_TIME
     *
     * @mbggenerated
     */
    private Date endDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column scheduled_down_plan.REASON_CODE
     *
     * @mbggenerated
     */
    private String reasonCode;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column scheduled_down_plan.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column scheduled_down_plan.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column scheduled_down_plan.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column scheduled_down_plan.HANDLE
     *
     * @return the value of scheduled_down_plan.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column scheduled_down_plan.HANDLE
     *
     * @param handle the value for scheduled_down_plan.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column scheduled_down_plan.SITE
     *
     * @return the value of scheduled_down_plan.SITE
     *
     * @mbggenerated
     */
    public String getSite() {
        return site;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column scheduled_down_plan.SITE
     *
     * @param site the value for scheduled_down_plan.SITE
     *
     * @mbggenerated
     */
    public void setSite(String site) {
        this.site = site == null ? null : site.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column scheduled_down_plan.RESOURCE_BO
     *
     * @return the value of scheduled_down_plan.RESOURCE_BO
     *
     * @mbggenerated
     */
    public String getResourceBo() {
        return resourceBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column scheduled_down_plan.RESOURCE_BO
     *
     * @param resourceBo the value for scheduled_down_plan.RESOURCE_BO
     *
     * @mbggenerated
     */
    public void setResourceBo(String resourceBo) {
        this.resourceBo = resourceBo == null ? null : resourceBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column scheduled_down_plan.STRT
     *
     * @return the value of scheduled_down_plan.STRT
     *
     * @mbggenerated
     */
    public String getStrt() {
        return strt;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column scheduled_down_plan.STRT
     *
     * @param strt the value for scheduled_down_plan.STRT
     *
     * @mbggenerated
     */
    public void setStrt(String strt) {
        this.strt = strt == null ? null : strt.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column scheduled_down_plan.START_DATE_TIME
     *
     * @return the value of scheduled_down_plan.START_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getStartDateTime() {
        return startDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column scheduled_down_plan.START_DATE_TIME
     *
     * @param startDateTime the value for scheduled_down_plan.START_DATE_TIME
     *
     * @mbggenerated
     */
    public void setStartDateTime(Date startDateTime) {
        this.startDateTime = startDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column scheduled_down_plan.END_DATE_TIME
     *
     * @return the value of scheduled_down_plan.END_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getEndDateTime() {
        return endDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column scheduled_down_plan.END_DATE_TIME
     *
     * @param endDateTime the value for scheduled_down_plan.END_DATE_TIME
     *
     * @mbggenerated
     */
    public void setEndDateTime(Date endDateTime) {
        this.endDateTime = endDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column scheduled_down_plan.REASON_CODE
     *
     * @return the value of scheduled_down_plan.REASON_CODE
     *
     * @mbggenerated
     */
    public String getReasonCode() {
        return reasonCode;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column scheduled_down_plan.REASON_CODE
     *
     * @param reasonCode the value for scheduled_down_plan.REASON_CODE
     *
     * @mbggenerated
     */
    public void setReasonCode(String reasonCode) {
        this.reasonCode = reasonCode == null ? null : reasonCode.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column scheduled_down_plan.CREATED_DATE_TIME
     *
     * @return the value of scheduled_down_plan.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column scheduled_down_plan.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for scheduled_down_plan.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column scheduled_down_plan.MODIFIED_DATE_TIME
     *
     * @return the value of scheduled_down_plan.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column scheduled_down_plan.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for scheduled_down_plan.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column scheduled_down_plan.MODIFIED_USER
     *
     * @return the value of scheduled_down_plan.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column scheduled_down_plan.MODIFIED_USER
     *
     * @param modifiedUser the value for scheduled_down_plan.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}